<!DOCTYPE html>
html
    include ../layouts/head
    body
        include ../layouts/header
        include tabs
        content
            <div class="container">
                <h2 class="content-title" id="js-content-title"></h2>
                <div class="resource-activity">
                    <ul id="js-resource-activity" class="resource-activity-list"></ul>
                </div>
            </div>

script(type="text/template" id="js-template-resource-activity-list").
    <li class="resource-activity-item">
        <h3 class="mini-section-header"><a href="./commits/{{commit.id}}/raw">Committed {{commit.timeHumanReadable}}</a></h4>
    </li>

script(src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js")
script(src="/js/fetch.then.template.js")
script.
    new fetchThenTemplate('/json/commits.json', 'commits', 'js-template-resource-activity-list', 'js-resource-activity').complete(function (data, list)
    {
        console.log(data, list)
        document.getElementById('js-content-title').innerHTML = 'Fetch activity for <a href="'+data.location+'" rel="nofollow">'+data.location+'</a>'
    })